load_network {SDDE} | R Documentation

## is a helper function to load networks from files

### Description

This function allows the user to load the network files. Note that standard igraph functions can be also used.

### Usage

    load_network(filename_or_df, filename_tax_or_df, edge_weight)

### Arguments

`filename_or_df` | the file containing an undirected list of nodes in tabular format (node1, node2, edge weight)
`filename_tax_or_df` | an additional file containing taxa information for each node
`edge_weight` | how to treat the edge weight: 'equal', 'proportional' or 'inverse' (default: equal)

### Value

This function return generic igraph objects suitable for use in the SDDE package.

### Examples

    	## Load a network from files.
    	## Not run:
    		network=load_network('graph.txt','graph_tax.txt','equal')
    		info_network(network$g1,network$g2);

    ## End(Not run)
    	# We expect the network to be a series of nodes as tab-separated values.
    	#
    	# Example graph.txt:
    	# node1	node2  edge weight
    	# x1	x2	   	1
    	# x2	x3		1
    	# x3	x6		1
    	# x1	x5		1
    	# x5	x6		1
    	#
    	# Example graph_tax.txt
    	# x1	plasmid
    	# x2	plasmid
    	# x3	bacteria
    	# x4	plasmid
    	# x5	bacteria
    	# x6	virus

[Package SDDE version 1.0.1 Index]